curl --request PUT \
--url https://api.tagada.io/api/public/v1/products/{productId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"updatedData": {
"name": "Updated Premium Joint Support",
"description": "New improved formula with enhanced bioavailability",
"active": true
}
}
'{
"id": "prod_abc123",
"name": "Updated Premium Joint Support",
"description": "New improved formula with enhanced bioavailability",
"active": true,
"isShippable": true,
"isTaxable": true,
"variants": [
{
"id": "var_001",
"name": "Regular Bottle",
"prices": [
{
"id": "price_001"
}
]
}
]
}{
"message": "<string>",
"code": "<string>",
"issues": [
{
"message": "<string>"
}
]
}products
Update product
Update an existing product’s fields such as name, description, active status, tax settings, and shipping configuration
PUT
/
api
/
public
/
v1
/
products
/
{productId}
curl --request PUT \
--url https://api.tagada.io/api/public/v1/products/{productId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"updatedData": {
"name": "Updated Premium Joint Support",
"description": "New improved formula with enhanced bioavailability",
"active": true
}
}
'{
"id": "prod_abc123",
"name": "Updated Premium Joint Support",
"description": "New improved formula with enhanced bioavailability",
"active": true,
"isShippable": true,
"isTaxable": true,
"variants": [
{
"id": "var_001",
"name": "Regular Bottle",
"prices": [
{
"id": "price_001"
}
]
}
]
}{
"message": "<string>",
"code": "<string>",
"issues": [
{
"message": "<string>"
}
]
}